> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List VPN sessions



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /vpn_sessions
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /vpn_sessions:
    get:
      tags:
        - VPN Sessions
      summary: List VPN sessions
      operationId: get-vpn-sessions
      parameters:
        - name: filter[location]
          in: query
          schema:
            type: string
            enum:
              - ASH
              - BUE
              - CHI
              - DAL
              - FRA
              - LAX
              - LON
              - MEX
              - MEX2
              - MIA
              - MIA2
              - NYC
              - SAO
              - SAO2
              - SGP
              - SYD
              - TYO
              - TYO2
          required: false
          examples:
            Success:
              value: SAO
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: vpn_mw49QDB5qagKb
                        type: vpn_sessions
                        attributes:
                          user_name: Alvaro
                          port: '8443'
                          host: fw04-mh1.maxi.host
                          region:
                            city: São Paulo 275
                            country: United States 288
                            site:
                              id: loc_kjQwdE2bqYNVP
                              name: São Paulo 275
                              slug: SAO
                              facility: São Paulo 275
                          expires_at: '2026-01-14T15:58:19+00:00'
                          created_at: '2026-01-14T15:57:19+00:00'
                          updated_at: '2026-01-14T15:57:19+00:00'
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/vpn_session_data_with_password'
                  meta:
                    type: object
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.vpn_sessions.list(filter_location=latitudesh_python_sdk.FilterLocation.SAO)

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.VpnSessions.List(ctx, operations.FilterLocationSao.ToPointer())\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.vpnSessions.list({
                filterLocation: "SAO",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    vpn_session_data_with_password:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - vpn_sessions
        attributes:
          type: object
          properties:
            user_name:
              type: string
              description: VPN username
            password:
              type: string
              description: VPN password
            port:
              type: string
              description: VPN port
            host:
              type: string
              description: VPN host
            region:
              $ref: '#/components/schemas/region_resource_data'
            status:
              type: string
              enum:
                - enable
                - disable
              description: from Firewall Response
            expires_at:
              type: string
              description: Time to expiry
            created_at:
              type: string
            updated_at:
              type: string
    region_resource_data:
      type: object
      properties:
        city:
          type: string
        country:
          type: string
        site:
          type: object
          properties:
            id:
              type: string
            facility:
              type: string
            name:
              type: string
            slug:
              type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````